// hier Package-Definitioneinfuegen, z.B. package syntax;

import java.util.Vector;

/**
 * contains information needed for generating am explanation String
 */

public class Explanation
{

    /**
     *
     */
    public Explanation()
    {
	violations = new Vector();	
    }

    /**
     * adds a violation to the explanation
     * !!! parameter type may change !!!
     * @param description of violation
     */
    public void addViolation(String violation)
    {
	violations.add(violation);
    }

    /**
     * returns all violation descriptions
     */
    public Object[] getViolations()
    {
	return violations.toArray();
    }

    /**
     * returns true if this object has at least one description
     * @return a violation was found
     */
    public boolean violationFound()
    {
	return !(violations.isEmpty());
    }
    
    private Vector violations;

}
